gxp.plugins.AlarmReportWindow = Ext.Window.extend({
	title:locale.messages.error,
	width: 350,
	autoHeight: true,
	bodyStyle: "padding:10px",
	html: (function(a){return asd = a})(this),                
	buttons: [
				{
					text: locale.messages.ok, 
					handler: function(){ 
						this.ownerCt.ownerCt.close();
					}
				},
				{
					text:  locale.messages.details+ "...", 
					handler: function(){ 
						var msg = this.ownerCt.ownerCt.extendedMessage;
						this.ownerCt.ownerCt.close();						
						Ext.Msg.show({
						   title:locale.messages.detailedInfo+':',
						   width: 700,
						   msg:  msg
						});
					}
				},
		]
})